Page MenuHomePhabricator

[ASTMatchers][OpenMP] Add base ompExecutableDirective() matcher.
ClosedPublic

Authored by lebedev.ri on Mar 16 2019, 8:09 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

lebedev.ri created this revision.Mar 16 2019, 8:09 AM
aaron.ballman accepted this revision.Mar 16 2019, 11:46 AM

LGTM aside from a nit.

lib/ASTMatchers/Dynamic/Registry.cpp
508 ↗(On Diff #190960)

Please keep this list alphabetically sorted.

This revision is now accepted and ready to land.Mar 16 2019, 11:46 AM
gribozavr accepted this revision.Mar 18 2019, 2:54 AM

Rebased, addressed nits.

gribozavr accepted this revision.Mar 21 2019, 7:11 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 21 2019, 8:32 AM